namespace Tinkerforge
{
    public static class EAccelerometer
    {
        public static (short X, short Y, short Z) GetAcceleration(this BrickletAccelerometer accelerometer)
        {
            accelerometer.GetAcceleration(out short x, out short y, out short z);
            return (x, y, z);
        }

        public static (byte DataRate, byte FullScale, byte FilterBandwidth) GetConfiguration(this BrickletAccelerometer accelerometer)
        {
            accelerometer.GetConfiguration(out byte dataRate, out byte fullScale, out byte filterBandwidth);
            return (dataRate, fullScale, filterBandwidth);
        }

        public static (char Option, short MinX, short MaxX, short MinY, short MaxY, short MinZ, short MaxZ) GetAccelerationCallbackThreshold(this BrickletAccelerometer accelerometer)
        {
            accelerometer.GetAccelerationCallbackThreshold(out char option, out short minX, out short maxX, out short minY, out short maxY, out short minZ, out short maxZ);
            return (option, minX, maxX, minY, maxY, minZ, maxZ);
        }
    }
}
